# Uses of Class
net.shibboleth.idp.attribute.resolver.dc.saml.util.impl.AssertionValidationProcessor

Packages that use AssertionValidationProcessor
Package
Description
net.shibboleth.idp.attribute.resolver.dc.saml.impl
A `DataConnector` implementation that queries data from a SAML attribute authority.

## Uses of AssertionValidationProcessor in net.shibboleth.idp.attribute.resolver.dc.saml.impl

Fields in net.shibboleth.idp.attribute.resolver.dc.saml.impl declared as AssertionValidationProcessor
Modifier and Type
Field
Description
`private AssertionValidationProcessor`
SAMLDataConnector.`assertionValidationProcessor`
Assertion validation processor.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl that return AssertionValidationProcessor
Modifier and Type
Method
Description
`AssertionValidationProcessor`
SAMLDataConnector.`getAssertionValidationProcessor()`
Get the Assertion validation processor.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl with parameters of type AssertionValidationProcessor
Modifier and Type
Method
Description
`void`
SAMLDataConnector.`setAssertionValidationProcessor(AssertionValidationProcessor processor)`
Set the Assertion validation processor.